LibreOffice: XDiagram Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XDiagram Interface Referencepublished

manages the diagram of the chart document. More...

`import "XDiagram.idl";`

Inheritance diagram for XDiagram:

## Public Member Functions
string | getDiagramType ()
com::sun::star::beans::XPropertySet | getDataRowProperties ([in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
com::sun::star::beans::XPropertySet | getDataPointProperties ([in] long nCol, [in] long nRow) raises ( com::sun::star::lang::IndexOutOfBoundsException )
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

manages the diagram of the chart document.

See also
  XChartDocument

## Member Function Documentation

## ◆ getDataPointProperties()

com::sun::star::beans::XPropertySet getDataPointProperties | ( | [in] long | nCol,
|  | [in] long | nRow )
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

Returns
  the properties of the specified data point.

Parameters

  nCol | the index of the data point of a series (0-based).
  nRow | the index of a series (0-based).

See also
  ChartDataPointProperties

## ◆ getDataRowProperties()

com::sun::star::beans::XPropertySet getDataRowProperties | ( | [in] long | nRow | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException ) |  |  |

Returns
  the properties of the specified data row (series).

Parameters

  nRow | the index of the series (0-based)

See also
  ChartDataRowProperties

## ◆ getDiagramType()

string getDiagramType | ( |  | ) |

Returns
  a string representing the diagram type. This string contains the fully qualified name of the corresponding service.

The documentation for this interface was generated from the following file:

- com/sun/star/chart/XDiagram.idl